PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Structures
Data Structures
PDL API Reference » AUTONOMOUS ANALOG (Autonomous Analog Block) » General section of the API

## General Description

## Data Structures
struct | cy_stc_autanalog_prb_cfg_t
| The configuration structure for the PRB, used in cy_stc_autanalog_prb_t. More...
struct | cy_stc_autanalog_prb_t
| The high-level configuration structure for the infrastructure of the Autonomous Analog, used in Cy_AutAnalog_PRB_LoadConfig. More...
struct | cy_stc_autanalog_stt_prb_t
| The PRB section in the State Transition Table state, used in cy_stc_autanalog_stt_t. More...
struct | cy_stc_autanalog_cfg_t
| The configuration structure to set up the entire Autonomous Analog used with cy_stc_autanalog_t and Cy_AutAnalog_LoadConfig. More...
struct | cy_stc_autanalog_stt_t
| The configuration structure for one row of the State Transition Table, the array of these structures defines the entire State Transition Table. More...
struct | cy_stc_autanalog_t
| The configuration and STT data to set up the entire Autonomous Analog, used in Cy_AutAnalog_Init. More...

## Data Structure Documentation

## ◆ cy_stc_autanalog_prb_cfg_t

struct cy_stc_autanalog_prb_cfg_t

Data Fields
bool | enable | Enable the PRB Vref control.
cy_en_autanalog_prb_src_t | src | The selector of the source voltage for PRB.
cy_en_autanalog_prb_tap_t | tap | Selector of the tap for the required Vref from PRB.

## ◆ cy_stc_autanalog_prb_t

struct cy_stc_autanalog_prb_t

Data Fields
cy_stc_autanalog_prb_cfg_t * | prb[CY_AUTANALOG_PRB_NUM] | PRB. The configuration structure for the PRB

## ◆ cy_stc_autanalog_stt_prb_t

struct cy_stc_autanalog_stt_prb_t

Data Fields
bool | unlock | PRB Unlock: FALSE - Locked: Data from fields prbVrefxFw and prbVrefxTap will NOT be taken into account in the corresponding state of STT TRUE - Unlocked: Data from fields prbVrefxFw and prbVrefxTap will be used in the STT corresponding state.
bool | prbVref0Fw | PRB Vref0. The control of PRB Vref0 from the firmware, Vref0 must be enabled in cy_stc_autanalog_prb_cfg_t FALSE - the PRB output determined by the field prbVref0Tap in this structure TRUE - the PRB output determined by the tap field, defined in cy_stc_autanalog_prb_cfg_t
cy_en_autanalog_prb_tap_t | prbVref0Tap | The tap selector for the required Vref0.
bool | prbVref1Fw | PRB Vref1. The control of PRB Vref0 from the firmware, Vref1 must be enabled in cy_stc_autanalog_prb_cfg_t FALSE - the PRB output determined by the field prbVref1Tap in this structure TRUE - the PRB output determined by the tap field, defined in cy_stc_autanalog_prb_cfg_t
cy_en_autanalog_prb_tap_t | prbVref1Tap | The tap selector for the required Vref1.

## ◆ cy_stc_autanalog_cfg_t

struct cy_stc_autanalog_cfg_t

Data Fields
cy_stc_autanalog_prb_t * | prb | The pointer to the PRB configuration.
cy_stc_autanalog_ac_t * | ac | The pointer to the AC configurations.
cy_stc_autanalog_ctb_t * | ctb[PASS_NR_CTBLS] | The array of pointers to the CTB subsystem configurations.
cy_stc_autanalog_ptcomp_t * | ptcomp[PASS_NR_PTCS] | The array of pointers to the PTComp subsystem configurations.
cy_stc_autanalog_dac_t * | dac[PASS_NR_DACS] | The array of pointers to the DAC subsystem configurations.
cy_stc_autanalog_sar_t * | sar[PASS_NR_SARS] | The array of pointers to the SAR subsystem configurations.

## ◆ cy_stc_autanalog_stt_t

struct cy_stc_autanalog_stt_t

Data Fields
cy_stc_autanalog_stt_ac_t * | ac | The pointer to the AC subsystem STT.
cy_stc_autanalog_stt_prb_t * | prb | The pointer to the PRB subsystem STT.
cy_stc_autanalog_stt_ctb_t * | ctb[PASS_NR_CTBLS] | The array of pointers to the CTB subsystem STT.
cy_stc_autanalog_stt_ptcomp_t * | ptcomp[PASS_NR_PTCS] | The array of pointers to the PTComp subsystem STT.
cy_stc_autanalog_stt_dac_t * | dac[PASS_NR_DACS] | The array of pointers to the DAC subsystem STT.
cy_stc_autanalog_stt_sar_t * | sar[PASS_NR_SARS] | The array of pointers to the SAR subsystem STT.

## ◆ cy_stc_autanalog_t

struct cy_stc_autanalog_t

Data Fields
cy_stc_autanalog_cfg_t * | configuration | The pointer to the whole configuration structure.
uint8_t | numSttEntries | The number of states in the State Transition Table.
cy_stc_autanalog_stt_t * | stateTransitionTable | The pointer to the array of the entire State Transition Table.